# The MEME Suite

## Motif-based sequence analysis tools

## fasta-fetch

### Usage:

`fasta-fetch <FASTA file> [-f <file> | <id>+] [options]`

### Description

Fetch sequences from a FASTA sequence file. Requires an index file made by fasta-make-index.

Reads sequence identifiers from the command line, from a file and from standard input, in that order.

### Input

Sequences in FASTA format from the `<FASTA file>`.

An index generated from the sequences with fasta-make-index which is named the same as the FASTA file but with ".index" appended.

Sequence identifiers, either listed on the command line, from a file specified with -f option or provided on standard input.

### Output

Writes a FASTA format file to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-f | file | Specifiy a file containing a list of sequence identifiers. | The sequence identifiers must be specified on the command line or on standard input.
-c |  | Check that the index actually references the expected sequence. This is intended to help catch cases when the sequence file has changed but the index has not been updated. | The index file is assumed to be correct for the sequence file.
-s | suffix | Put each sequence in its own file named with the sequence identifier with ".suffix" appended. Any pipe characters in the identifier will be substituted with underscores. | The sequences are written to standard output.
-off | position | Print sequences starting at position. | The sequences are printed from their start which is equivalent to giving -off a value of 1.
-len | length | Print up to length characters of the sequence. | The entire sequence is printed.